Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros
ruby_missing.h File Reference

Go to the source code of this file.

## Macros
#define | RB_INTEGER_TYPE_P(obj) (RB_FIXNUM_P(obj) || RB_TYPE_P(obj, T_BIGNUM))
#define | RB_ST2FIX(h) LONG2FIX((long)(h))
#define | ST2FIX(h) RB_ST2FIX(h)

## Macro Definition Documentation

## ◆ RB_INTEGER_TYPE_P

#define RB_INTEGER_TYPE_P | ( |  | obj | ) | (RB_FIXNUM_P(obj) || RB_TYPE_P(obj, T_BIGNUM))

Definition at line 15 of file ruby_missing.h.

## ◆ RB_ST2FIX

#define RB_ST2FIX | ( |  | h | ) | LONG2FIX((long)(h))

Definition at line 20 of file ruby_missing.h.

## ◆ ST2FIX

#define ST2FIX | ( |  | h | ) | RB_ST2FIX(h)

Definition at line 21 of file ruby_missing.h.